@import "~@govbr-ds/core/src/components/input/input";

:host {
  display: block;

  .br-input .input-icon {
    margin-top: 0.1em;
    margin-left: var(--spacing-scale-base);
  }

  .br-input .input-icon + input {
    padding-left: calc(var(--input-padding-icon) + 3px);
  }
}

.br-input br-button {
  float: right;
  margin-right: var(--input-button-margin);
  margin-top: calc((var(--input-size) + var(--spacing-scale-half)) * -1);
  padding: 0;
  position: relative;
}

.button-transform {
  transform: translateY(calc((var(--input-size) - 32px) * 0.5));
}
